<?php
class userController {

    function __construct() 
    {
        global $rep,$vues;
        $mdlUsr = new MdlUser();
        $user = new User();

        session_start();
        $this->ValidationFormulaire($dVueEreur);
        $dVueEreur = array ();

        try {
            $action = $_REQUEST['action'];
            switch($action) {
                case NULL:
                    $this->Reinit();
                    break;

                case "delete":
                    $this->Delete();
                    break;

                case "update":
                    $this->Update();
                    break;
                
                case "ajouterListe":
                    $this->AddList();
                    break;

                case "supprimerListe":
                    $this->DelList();
                    break;

                case "modifierListe":
                    $this->UpdateList();
                    break;
                
                case "ajouterTache":
                    $this->AddTask();
                    break;

                case "supprimerTache":
                    $this->DelTask();
                    break;

                case "modifierTache":
                    $this->UpdateTask();
                    break;

                default:
                    $dVueEreur[] =	"Erreur d'appel php";
                    require ($rep.$vues['vuephp1']); //Appel de vue à changer
                    break;
            }
        }
        catch (PDOException $e){
            $dVueEreur[] = "Erreur BDD";
            require ($rep.$vues['erreur']); //Appel de vue à changer
        }
        catch (Exception $e2){
            $dVueEreur[] = "Erreur innatendue";
            require ($rep.$vues['erreur']); //Appel de vue à changer
        }
        exit(0);
    }

    function Reinit() {
        global $rep,$vues;
        $dVue = array (
            'username' => "",
            'password' => "",
        );
        require ($rep.$vues['accueil']); //Appel de vue à changer
    }


    function ValidationFormulaire(array $dVueEreur){

        global $rep, $vues;
        $username = $_POST['username'];
        $mdp = $_POST['password'];

        Validation::val_form($username, $mdp, $dVueEreur);

        $dVue = array (
            'username' => $username,
            'password' => $mdp,
        );
        require ($rep.$vues['vuephp']); // CHANGER APPEL VUE 
    } 

    function Delete() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->delete(); //A compléter avec bons arguments
            session_unset();
            session_destroy();
            require ($rep.$vues['AccueilLogin']); //Appel de vue à changer
        }
    }

    function Update() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->update(); //Ajouter arguments
            require ($rep.$vues['Accueil']); //Appel de vue à changer
        }
    }

    function AddList() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->addList($user); //changer arguments
            require ($rep.$vues['...']); // Appel vue à changer
        } 
    }

    function DelList() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->delList($user); //aa
            require ($rep.$vues['...']); // apegffo,
        }
    }

    function UpdateList() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->updateList($user); //changer arguments
            require ($rep.$vues['...']); // Appel vue à changer
        } 
    }

    function AddTask() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->addList($user); //changer arguments
            require ($rep.$vues['...']); // Appel vue à changer
        } 
    }

    function DelTask() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->delTask($user); //aa
            require ($rep.$vues['...']); // apegffo,
        }
    }

    function UpdateTask() {
        if(isset($_SESSION['username'])){
            $results = $this->$mdlUsr->updateTask($user); //aa
            require ($rep.$vues['.']); // apegffo,
        }
    }
}


?>